Subject: Re: [git-users] Re: how to get the formated patches from the merge id

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 15 Jun 2012 13:59:22 +0200

Op 15-6-2012 13:46, lei yang schreef:
> Hi
>
> I mean,
>
> I have a commit like below
> commit 0e93b4b304ae052ba1bc73f6d34a68556fe93429
> Merge: b724cc1 51bfd29
>
> This commit done this work: merge b724cc1..51bfd29 commit,
>
> The question is how could I *onlys* through
> 0e93b4b304ae052ba1bc73f6d34a68556fe93429 to get the formated patch for
> the
> commit(b724cc1..51bfd29)

It is still not clear what you want to accomplish.

Your proposal: "git format-patch b724cc1..51bfd29" only gives you the 
commits that were in the branch 51bfd29 that weren't yet in the branch 
b724cc1. This just reflect the commits of one of the branches, but not 
the "work done by the merge commit".

If this is really what you want you can do:

$ git format-patch 0e93b4b3^1..0e93b4b3^2

0e93b4b3^1 means the first parent of 0e93b4b3, which is b724cc1. 
0e93b4b3^2 means the second parent, which is 51bfd29

HTH,

Vincent